aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGerd Hoffmann <kraxel@redhat.com>2019-09-05 15:34:50 +0200
committerGerd Hoffmann <kraxel@redhat.com>2019-09-05 15:34:50 +0200
commit0a91d9a9a18215a4da8555c0cb5960ef8a18c000 (patch)
tree58f38c5cf5617505fa4de7563477ac0281430dc2
parent681bdc67234da6f69ab7feb30e1b3372da96608e (diff)
downloads2i-jekyll-0a91d9a9a18215a4da8555c0cb5960ef8a18c000.tar.gz
install bundle
-rwxr-xr-xs2i/bin/assemble4
1 files changed, 4 insertions, 0 deletions
diff --git a/s2i/bin/assemble b/s2i/bin/assemble
index b82b59b..6d7616c 100755
--- a/s2i/bin/assemble
+++ b/s2i/bin/assemble
@@ -23,7 +23,11 @@ echo "---> Installing application source..."
cp -Rf /tmp/src/. ./
echo "---> Building application from source..."
+set -ex
if test -f Gemfile; then
+ bundle config path $(pwd)/.gem
+ bundle config
+ bundle install
bundle exec jekyll build
else
jekyll build